//智能营销
export default {
  path: 'ecm',
  name: '智能营销管理',
  component: () => import(/* webpackChunkName: "ecm" */ '../../views/ecm/index.vue'),
  redirect: '/ecm/list',
  children: [
    {
      path: 'log',
      name: '操作日志',
      component: () => import(/* webpackChunkName: "ecm" */ '../../views/ecm/operator-log.vue'),
      meta: {
        path: '/ecm/list'
      }
    },
    {
      path: 'copy/:id',
      name: '智能营销新增',
      component: () => import(/* webpackChunkName: "ecm" */ '../../views/ecm/form.vue'),
      meta: {
        type: 'copy',
        path: '/ecm/list'
      }
    },
    {
      path: 'list',
      name: '智能营销',
      component: () => import(/* webpackChunkName: "ecm" */ '../../views/ecm/list.vue'),
      meta: {
        path: '/ecm/list'
      }
    },
    {
      path: 'edit/:id',
      name: '智能营销编辑',
      component: () => import(/* webpackChunkName: "ecm" */ '../../views/ecm/form.vue'),
      meta: {
        type: 'edit',
        path: '/ecm/list'
      }
    },
    {
      path: 'info/:id',
      name: '智能营销详情',
      component: () => import(/* webpackChunkName: "ecm" */ '../../views/ecm/form.vue'),
      meta: {
        type: 'info',
        path: '/ecm/list'
      }
    },
    {
      path: 'add',
      name: '智能营销新增',
      component: () => import(/* webpackChunkName: "ecm" */ '../../views/ecm/form.vue'),
      meta: {
        type: 'add',
        path: '/ecm/list'
      }
    },
    {
      path: 'batchlist/:id',
      name: '批次记录',
      component: () => import(/* webpackChunkName: "ecm" */ '../../views/ecm/batch-list.vue'),
      meta: {
        path: '/ecm/list'
      }
    },
    {
      path: 'oncelist/:id',
      name: '立即发送记录',
      component: () => import(/* webpackChunkName: "ecm" */ '../../views/ecm/current-list.vue'),
      meta: {
        path: '/ecm/list',
        type: 'once'
      }
    },
    {
      path: 'currentlist/:id',
      name: '实时发送记录',
      component: () => import(/* webpackChunkName: "ecm" */ '../../views/ecm/current-list.vue'),
      meta: {
        path: '/ecm/list',
        type: 'currrent'
      }
    },
    {
      path: 'touch/:id',
      name: '触达效果',
      component: () => import(/* webpackChunkName: "ecm" */ '../../views/ecm/touch-effect.vue'),
      meta: {
        path: '/ecm/list',
        type: 'info'
      }
    },
    {
      path: 'clue',
      name: '线索页',
      component: () => import(/* webpackChunkName: "ecm" */ '../../views/ecm/touch-clue.vue'),
      meta: {
        path: '/ecm/list',
        type: 'info'
      }
    }
  ]
};

//扫码营销
export const scan = {
  path: 'scan',
  name: '扫码营销管理',
  component: () => import(/* webpackChunkName: "scan" */ '../../views/ecm/scan-index.vue'),
  redirect: '/scan/list',
  children: [
    {
      path: 'list',
      name: '营销计划',
      component: () => import(/* webpackChunkName: "scan" */ '../../views/ecm/scan-list.vue'),
      meta: {
        path: '/scan/list'
      }
    },
    {
      path: 'history-list',
      name: '历史营销计划',
      component: () => import(/* webpackChunkName: "scan" */ '../../views/ecm/scan-history-list.vue'),
      meta: {
        path: '/scan/list'
      }
    },
    {
      path: 'edit/:id',
      name: '营销计划编辑',
      component: () => import(/* webpackChunkName: "scan" */ '../../views/ecm/scan-form.vue'),
      meta: {
        type: 'edit',
        path: '/scan/list'
      }
    },
    {
      path: 'info/:id',
      name: 'scanInfo',
      component: () => import(/* webpackChunkName: "scan" */ '../../views/ecm/scan-form.vue'),
      meta: {
        aliasName: '营销计划详情',
        type: 'info',
        path: '/scan/list'
      }
    },
    {
      path: 'add',
      name: '营销计划新增',
      component: () => import(/* webpackChunkName: "scan" */ '../../views/ecm/scan-form.vue'),
      meta: {
        type: 'add',
        path: '/scan/list'
      }
    },
    {
      path: 'log',
      name: '扫码营销日志',
      component: () => import(/* webpackChunkName: "scan" */ '../../views/ecm/scan-log-list.vue'),
      meta: {
        type: 'add',
        path: '/scan/log'
      }
    },
    {
      path: 'currentlist/:id',
      name: '扫码营销记录',
      component: () => import(/* webpackChunkName: "scan" */ '../../views/ecm/scan-current-list.vue'),
      meta: {
        type: 'add',
        path: '/scan/list'
      }
    }
  ]
};
